Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

Lấy toạ độ X,Y cùng lúc


  • Please log in to reply
14 replies to this topic

#1 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 February 2009 - 08:20 AM

Khi dùng lệnh DOR(ordinate) chỉ có thể lấy được toạ độ X hoặc Y làm thế nào để có thể cùng lúc lấy được toạ độ của cả X,Y
  • 0

#2 TruongThanh83

TruongThanh83

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 February 2009 - 08:32 AM

Dùng lệnh DI thử xem
  • 0

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2039 Bài viết
Điểm đánh giá: 1304 (rất tốt)

Đã gửi 18 February 2009 - 08:44 AM

Dùng lệnh DI thử xem

Lệnh ID thì được.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#4 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 February 2009 - 08:35 AM

Lệnh ID thì được.

Lệnh ID chỉ xem được toạ độ , không thể sử dụng như text được, các bác có cách nào khác không ?
  • 0

#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2039 Bài viết
Điểm đánh giá: 1304 (rất tốt)

Đã gửi 19 February 2009 - 08:58 AM

Lệnh ID chỉ xem được toạ độ , không thể sử dụng như text được, các bác có cách nào khác không ?

Giải pháp dùng lisp: Mình dùng lệnh DIMORDINATE của bạn chỉ khác là bạn chỉ cần chọn điểm 1 lần thì nó tự làm 2 lần cho x và y.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(setq b (list (+ (car a) 1) (caDr a)))
(setq c (list (car a) (+ (caDr a) 1)))
(command ".DIMORDINATE" a "x" c)
(command ".DIMORDINATE" a "y" b)
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#6 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 February 2009 - 11:15 AM

Giải pháp dùng lisp: Mình dùng lệnh DIMORDINATE của bạn chỉ khác là bạn chỉ cần chọn điểm 1 lần thì nó tự làm 2 lần cho x và y.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(setq b (list (+ (car a) 1) (caDr a)))
(setq c (list (car a) (+ (caDr a) 1)))
(command ".DIMORDINATE" a "x" c)
(command ".DIMORDINATE" a "y" :cheers:
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)

em cảm ơn bác nhiều lắm nhưng bác có thể viết thêm jùm em một chút nữa để X,Y cùng nằm theo phương Y được không, em muốn có mũi tên dưới toạ độ nữa (giống lệnh LE có text ở bên trên là tọa độ X,Y ).Có thể kéo thoải mái để đat tại vị trí thích hợp( cái bác viết cho em kich vô là ra toạ độ liền ko thể kéo đi như khi dùng lênh DOR được). Mong bác giúp giùm
  • 0

#7 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2039 Bài viết
Điểm đánh giá: 1304 (rất tốt)

Đã gửi 20 February 2009 - 02:12 PM

em cảm ơn bác nhiều lắm nhưng bác có thể viết thêm jùm em một chút nữa để X,Y cùng nằm theo phương Y được không, em muốn có mũi tên dưới toạ độ nữa (giống lệnh LE có text ở bên trên là tọa độ X,Y ).Có thể kéo thoải mái để đat tại vị trí thích hợp( cái bác viết cho em kich vô là ra toạ độ liền ko thể kéo đi như khi dùng lênh DOR được). Mong bác giúp giùm

Thật tình mình không dùng lệnh Dor bao giờ nên chỉ giúp bạn được vậy thôi các vấn đề khác mình chịu.
Mình sửa lại để bạn chọn điểm viết kết quả luôn.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq b (getpoint "\nChon diem viet ket qua: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(command ".DIMORDINATE" a "x" b)
(command ".DIMORDINATE" a "y" b)
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#8 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 February 2009 - 02:47 PM

Thật tình mình không dùng lệnh Dor bao giờ nên chỉ giúp bạn được vậy thôi các vấn đề khác mình chịu.
Mình sửa lại để bạn chọn điểm viết kết quả luôn.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq b (getpoint "\nChon diem viet ket qua: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(command ".DIMORDINATE" a "x" :cheers:
(command ".DIMORDINATE" a "y" :cheers:
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)

em muốn như thế này bác ơi
http://www.cadviet.c...iles/TOA_D0.dwg
  • 0

#9 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1073 (rất tốt)

Đã gửi 20 February 2009 - 06:11 PM

em muốn như thế này bác ơi
http://www.cadviet.c...iles/TOA_D0.dwg

Bạn dùng lisp này. Lệnh XY:

(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(command "qleader" p1 p2 "" "" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

  • 1

#10 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 February 2009 - 07:35 AM

Bạn dùng lisp này. Lệnh XY:

(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(command "qleader" p1 p2 "" "" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

bác ơi sao số không nằm trên mũi tên hả bác, và cái này không chỉnh sửa trong Dimention được .
  • 0

#11 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4223 Bài viết
Điểm đánh giá: 3718 (đỉnh cao)

Đã gửi 21 February 2009 - 09:41 AM

bác ơi sao số không nằm trên mũi tên hả bác, và cái này không chỉnh sửa trong Dimention được .

Bạn hãy nói rõ số nằm trên mũi tên thì sẽ cách mũi tên một khoảng bằng bao nhiêu? và chỉnh sửa trong Dimension như thế nào?
Bạn hãy nói rõ ý của bạn nhé.
  • 0

#12 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 February 2009 - 09:51 AM

Bạn hãy nói rõ số nằm trên mũi tên thì sẽ cách mũi tên một khoảng bằng bao nhiêu? và chỉnh sửa trong Dimension như thế nào?
Bạn hãy nói rõ ý của bạn nhé.

Dạ, em muốn chỉnh sửa trong Dimention Style (số thập phân...) và em muốn text nằm fía trên như trong bản vẽ em gởi đó bác. Cái này có thể sửa tai PR(text) nhưng fải sửa từng cái, em muốn lam nhanh hơn, Bac xem giúp em với
  • 0

#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 5755 Bài viết
Điểm đánh giá: 3002 (tuyệt vời)

Đã gửi 21 February 2009 - 10:49 AM

Dạ, em muốn chỉnh sửa trong Dimention Style (số thập phân...) và em muốn text nằm fía trên như trong bản vẽ em gởi đó bác. Cái này có thể sửa tai PR(text) nhưng fải sửa từng cái, em muốn lam nhanh hơn, Bac xem giúp em với

Chào bạn kiwi,
Bạn hãy xem thêm về tác dụng của lisp với việc ghi kích thước ở đây.

http://www.cadviet.c...o...205&st=1420

Đối với việc dùng lisp để tạo kích thước thì cái dimassoc là không còn tác dụng nữa bạn ạ. Do vậy bạn muốn nó như thế nào thì phải đưa thẳng nó vào trong lisp chứ không thể dùng dimension style để chỉnh sửa nó. Và khi đó tất cả các vị trí dimension mà bạn dùng lisp sẽ có hình ảnh là như nhau trừ khi bạn thay đổi lisp theo từng vị trí ghi kích thước.

Bạn nên chú ý khi sử dụng các lisp này nhé.
Chúc bạn thành công trong công việc.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#14 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1073 (rất tốt)

Đã gửi 21 February 2009 - 11:12 AM

Dạ, em muốn chỉnh sửa trong Dimention Style (số thập phân...) và em muốn text nằm fía trên như trong bản vẽ em gởi đó bác. Cái này có thể sửa tai PR(text) nhưng fải sửa từng cái, em muốn lam nhanh hơn, Bac xem giúp em với

Bạn thử lại với lisp này:
(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(setvar "dimtad" 1)(command "leader" p1 p2 "a" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

Muốn bao nhiêu chữ số thập phân, bạn vào Format - Units - Length - Precision... (phải thiết lập Units trước khi dùng XY, và chỉ cần 1 lần)
  • 0

#15 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 February 2009 - 12:30 PM

Bạn thử lại với lisp này:

(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(setvar "dimtad" 1)(command "leader" p1 p2 "a" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

Muốn bao nhiêu chữ số thập phân, bạn vào Format - Units - Length - Precision... (phải thiết lập Units trước khi dùng XY, và chỉ cần 1 lần)

cảm ơn bác nhiều lắm , em làm được rồi
  • 0